package com.sunxung.factoring.entity.salescontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.sys.FileStorage;
import org.hibernate.validator.constraints.NotEmpty;

import java.util.List;

/**
 * <p>
 * 销售合同-签署确认审核表
 * </p>
 *
 * @author yafan
 * @since 2023-12-11
 */
@TableName("sales_sign_confirmation_approval")
public class SalesSignConfirmationApproval extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 销售合同管理Id
     */
    @TableField("c_sales_contract_management_id")
    @NotEmpty(message = "列表id不能为空！")
    private Long cSalesContractManagementId;

    /**
     * 通过pass/退回back
     */
    @TableField("approval_conclusion")
    @NotEmpty(message = "审核结论不能为空！")
    private String approvalConclusion;

    /**
     * 审批意见
     */
    @TableField("approval_comments")
    private String approvalComments;

    @TableField(exist = false)
    private String taskId;

    @TableField(exist = false)
    private List<FileStorage> files;

    public Long getcSalesContractManagementId() {
        return cSalesContractManagementId;
    }

    public void setcSalesContractManagementId(Long cSalesContractManagementId) {
        this.cSalesContractManagementId = cSalesContractManagementId;
    }

    public String getApprovalConclusion() {
        return approvalConclusion;
    }

    public void setApprovalConclusion(String approvalConclusion) {
        this.approvalConclusion = approvalConclusion;
    }

    public String getApprovalComments() {
        return approvalComments;
    }

    public void setApprovalComments(String approvalComments) {
        this.approvalComments = approvalComments;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public List<FileStorage> getFiles() {
        return files;
    }

    public void setFiles(List<FileStorage> files) {
        this.files = files;
    }

    @Override
    public String toString() {
        return "SalesSignConfirmationApproval{" +
                ", cSalesContractManagementId=" + cSalesContractManagementId +
                ", approvalConclusion=" + approvalConclusion +
                ", approvalComments=" + approvalComments +
                "}";
    }
}
